aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-watchdog/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-10-01 18:42:22 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-10-01 18:42:22 +0200
commit5c65085353ab4369191d78a1b803b5e5ff1cb39b (patch)
treef40bc7137b8693c707bf0bba0ebf074968990af6 /testing/py-watchdog/APKBUILD
parent8077501b468b6c392380396d932bba16f769db41 (diff)
downloadaports-5c65085353ab4369191d78a1b803b5e5ff1cb39b.tar.gz
aports-5c65085353ab4369191d78a1b803b5e5ff1cb39b.tar.bz2
aports-5c65085353ab4369191d78a1b803b5e5ff1cb39b.tar.xz
testing/py-watchdog: new aport
Diffstat (limited to 'testing/py-watchdog/APKBUILD')
-rw-r--r--testing/py-watchdog/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-watchdog/APKBUILD b/testing/py-watchdog/APKBUILD
new file mode 100644
index 0000000000..7e35d63e3d
--- /dev/null
+++ b/testing/py-watchdog/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=py-watchdog
+pkgver=0.8.3
+pkgrel=0
+pkgdesc="Python API and shell utilities to monitor file system events."
+url="https://github.com/gorakhargosh/watchdog"
+arch="noarch"
+license="Apache 2.0"
+depends="py-pathtools py-yaml py-argh"
+depends_dev=""
+makedepends="$depends_dev py-setuptools python-dev"
+install=""
+subpackages=""
+source="watchdog-$pkgver.tar.gz::https://github.com/gorakhargosh/watchdog/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/watchdog-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a5fbff6e21fb665381e4ae1afe3627f9 watchdog-0.8.3.tar.gz"
+sha256sums="e9a27d0ab121fc86217ab833e778c76880aad4ecdb623796f4b7aee9925394ed watchdog-0.8.3.tar.gz"
+sha512sums="a19b2d3bc7a2e42b23050acb0e1baf977b3a5025c6b08fa0491c7d4fd9e6a0270101c440653897467156c324b4942791a7725f044c6c9478352683e8808d8e40 watchdog-0.8.3.tar.gz"